<?php 
// Name: houses_private.php 
// Autor: tcb / Talion fr http://lotgd.drachenserver.de (mail: t@ssilo.de) 
// Erstellungsdatum: 9.5.05 
// Erfordert Mods in Dateien: houses.php, suhouses.php 
// Beschreibung: 
//        Erweiterung, die Privatrume in Husern ermglicht. Zutritt haben dort nur der Hausbesitzer und von ihm autorisierte Personen 
//        Mit Chatarea 
//         Info, ob bestimmter Schlsselbesitzer hier rein darf, wird in value2 des Schlssels gespeichert.. bisherige Funktion war leicht unntig :) 
// nderungen: 
//         11.5.05: tcb:     Systemmails eingebaut 
//                        Umstellung auf value2 System 
//        23.5.05: tcb:    Sicherungskopie der Kommentare beim Lschen 

require_once("common.php"); 
page_header("Privatgemcher"); 

addcommentary(); 

checkday(); 

is_new_day(); 

if(!isset($session['housekey'])) {redirect("houses.php");} 

$op = (isset($_GET['op'])) ? $_GET['op'] : ''; 

switch($op) { 

    case '':    // Chat anzeigen 

        output("`2`b`cPrivatgemcher`b`c`n"); 

        output('Durch eine breite, aber immer gut verschlossene Tr im hinteren Teil des Hauses gelangst du in '.(($session['user']['house']==$session['housekey'])?'deine Privatgemcher':'die Privatgemcher des Hausherrn').'. Hier kannst du dich mit den anderen Hausbewohnern austauschen, die einen Schlssel zu diesem Raum besitzen:`n`n`n'); 

	//if (getsetting('activategamedate','0')==1) output("`qWir schreiben den `^".getgamedate()."`q im Zeitalter des Drachen.`n");
	output("Die Uhr am Kamin zeigt `^".getgametime()."`2 Uhr und drauen ist es heute `^".$settings['weather']."`2.`0");
	//output("Drauen ist es heute `^".$settings['weather']."`q.`0");

        viewcommentary('house-'.$session['housekey'].'_private',"Mit Mitbewohnern reden:",30,"sagt"); 

        output("`n`n`n`2`bZutritt haben:`b `0",true); 

        $sql = "SELECT items.*,accounts.acctid AS aid,accounts.name AS besitzer FROM items LEFT JOIN accounts ON accounts.acctid=items.owner WHERE value1=".$session['housekey']." AND items.class='Schlssel' AND value2=999 ORDER BY id ASC"; 

        $result = db_query($sql) or die(db_error(LINK)); 

        for ($i=1;$i<=db_num_rows($result);$i++){ 

            $item = db_fetch_assoc($result); 

            output("`n`2".$i.": `&$item[besitzer]`0"); 

        } 

        if ($session['user']['house']==$session['housekey']) { 

            addnav("Aktionen"); 

            addnav("Einladen","houses_private.php?op=geben"); 
            addnav("Ausladen","houses_private.php?op=nehmen"); 
            addnav("Aufrumen","houses_private.php?op=sauber"); 
        } 

        addnav("Verschiedenes"); 

        addnav("Log Out","houses.php?op=drin&act=logout"); 

        addnav("Zurck zum Haus","houses.php?op=drin"); 
        //addnav("Zum Wohnviertel","houses.php"); 
        //addnav("Zum Dorf","village.php"); 
        break; 

    case 'geben':    // Person autorisieren 

        $sql = "SELECT a.name, i.id AS itemid FROM items i LEFT JOIN accounts a ON a.acctid=i.owner WHERE i.class='Schlssel' AND i.owner!=".$session['user']['acctid']." AND i.value1=".$session['housekey']." AND i.value2!=999 GROUP BY i.owner ORDER BY a.name"; 
        $res = db_query($sql); 

        if(!db_num_rows($res)) { 
            output("`2Es gibt keine Personen, denen du Zugang gewhren knntest!"); 
        } 
        else { 

            output("<form action='houses_private.php?op=geben_ok' method='POST'>",true); 

            output("`2Wem willst du Zugang zu deinen Privatgemchern gewhren? <select name='ziel'>",true); 

            while ( $p = db_fetch_assoc($res) ) { 

                output("<option value=\"".$p['itemid']."\">".preg_replace("'[`].'","",$p['name'])."</option>",true); 

            } 

            output("</select>`n`n",true); 

            output("<input type='submit' class='button' value='Einladen'></form>",true); 
            addnav("","houses_private.php?op=geben_ok"); 
        } 

        addnav("Zurck","houses_private.php"); 

        break; 

    case 'geben_ok':    // Person autorisieren 2 

        $ziel = (int)$_POST['ziel']; 

        if($ziel) { 

            $sql = "SELECT i.owner, a.name, i.value2 FROM items i, accounts a WHERE a.acctid=i.owner AND i.id=".$ziel; 
            $res = db_query($sql); 
            $p = db_fetch_assoc($res); 

            if( $p['value2'] == 999 ) { 
                output("`2".$p['name']."`2 hat schon Zugang zu deinen Privatgemchern!"); 
                addnav("Zurck","houses_private.php?op=geben"); 
            } 
            else { 
                $sql = "UPDATE items SET value2=999 WHERE id=".$ziel; 
                db_query($sql) or die (db_error(LINK)); 

                systemmail($p['owner'],"`@Zugang zu Privatgemchern erhalten!`0","`&{$session['user']['name']}`& hat dir einen Schlssel zu ".(($session['user']['sex'])?"ihren":"seinen")." Privatgemchern bergeben!`nEin groer Vertrauensbeweis, also enttusch ".(($session['user']['sex'])?"sie":"ihn")." nicht!"); 

                output("`2Du bergibst ".$p['name']." `2einen Schlssel zu deinen privaten Rumen."); 

                addnav("Zurck","houses_private.php"); 
            } 
        } 

        else { 
            redirect("houses_private.php?op=geben"); 
        } 

        break; 

    case 'nehmen':    // Person ausladen 

        $sql = "SELECT a.name, i.id AS itemid FROM items i LEFT JOIN accounts a ON a.acctid=i.owner WHERE i.class='Schlssel' AND i.value1=".$session['housekey']." AND i.value2=999 ORDER BY a.name"; 
        $res = db_query($sql); 

        if(!db_num_rows($res)) { 
            output("`2Es hat noch niemand Zugang zu deinen Privatgemchern!"); 
        } 
        else { 

            output("<form action='houses_private.php?op=nehmen_ok' method='POST'>",true); 

            output("`2Wem willst du den Zugang zu deinen Privatgemchern entziehen? <select name='ziel'>",true); 

            while ( $p = db_fetch_assoc($res) ) { 

                output("<option value=\"".$p['itemid']."\">".preg_replace("'[`].'","",$p['name'])."</option>",true); 

            } 

            output("</select>`n`n",true); 

            output("<input type='submit' class='button' value='Ausladen'></form>",true); 
            addnav("","houses_private.php?op=nehmen_ok"); 
        } 

        addnav("Zurck","houses_private.php"); 

        break; 

    case 'nehmen_ok':    // Person ausladen 2 

        $ziel = (int)$_POST['ziel']; 

        if($ziel) { 

            $sql = "SELECT i.owner, a.name, i.value2 FROM items i, accounts a WHERE a.acctid=i.owner AND i.id=".$ziel; 
            $res = db_query($sql); 
            $p = db_fetch_assoc($res); 

            $sql = "UPDATE items SET value2=0 WHERE id=".$ziel; 
            db_query($sql) or die (db_error(LINK)); 

            systemmail($p['owner'],"`@Zugang zu Privatgemchern entzogen!`0","`&{$session['user']['name']}`& hat dir den Schlssel zu ".(($session['user']['sex'])?"ihren":"seinen")." Privatgemchern wieder abgenommen."); 

            output("`2Du nimmst ".$p['name']." `2den Schlssel zu deinen privaten Rumen wieder ab!"); 

            addnav("Zurck","houses_private.php"); 

        } 

        else { 
            redirect("houses_private.php?op=nehmen"); 
        } 

        break; 

    case 'sauber':    // Kommentare entfernen 

        output("`2Du entschliet dich, in deinen Privatgemchern etwas aufzurumen. Doch sei dir darber im Klaren, dass dann alle Ereignisse der letzten Zeit hier drin in Vergessenheit geraten!"); 

        addnav("Ja, aufrumen!","houses_private.php?op=sauber_ok"); 
        addnav("Nein, zurck!","houses_private.php"); 

        break; 

    case 'sauber_ok':    // Kommentare entfernen 2 

        // Sicherung 
        $sql = "UPDATE commentary SET section='house-".$session['housekey']."_p' WHERE section='house-".$session['housekey']."_private'"; 
        db_query($sql); 
        // Sicherung Ende 

        //$sql = "DELETE FROM commentary WHERE section='house-".$session['housekey']."_private'"; 
        //db_query($sql) or die (db_error(LINK)); 
        redirect("houses_private.php"); 

        break; 

    default: 
        output('Hier drfte ich nicht sein.. op: '.$op); 
        addnav("Zurck","village.php"); 
        break; 
} 

page_footer(); 

// END houses_private.php 
?>